### Function

# GLib strip_context

since: 2.4

#### Declaration

    const gchar*
    g_strip_context (
      const gchar* msgid,
      const gchar* msgval
    )

#### Description

An auxiliary function for `gettext()` support (see Q_()).

Available since: 2.4

#### Parameters

`msgid`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`msgval`

  Type: `const gchar*`

  Another string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

`msgval`, unless `msgval` is identical to `msgid` and contains a ‘|’ character, in which case a pointer to the substring of msgid after the first ‘|’ character is returned.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.